Skip to content

Create Subnet

POST
/api/v1/vpc/{VPC_NETWORK_ID}/subnet/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/vpc/{VPC_NETWORK_ID}/subnet/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"ipv4": "10.10.0.16/28",
"name": "Subnet-597"
}'
VPC_NETWORK_ID
required
integer

VPC Network ID

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
ipv4

Provide IPv4 Subnet CIDR Block

string

Example

10.10.0.16/28
name
string

Example

Subnet-597

Created Successfully

Media typeapplication/json
object
code
integer
data
object
id
integer
name
string
network_id
integer
is_credit_sufficient
boolean
project_id
string
errors
object
key
additional properties
string
message
string

Example

{
"code": 201,
"data": {
"id": 30,
"name": "Subnet-597",
"network_id": 38187,
"is_credit_sufficient": true,
"project_id": "41534"
},
"errors": {},
"message": "Created Successfully"
}